[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.GetWindowRect

Retrieves the bounding rectangle of a window, in screen coordinates.

## Declaration

Source position: winapih.inc line 160

`public function TWidgetSet.GetWindowRect(`
`Handle: HWND;`
`var Rect: TRect`
`):Integer; virtual;`

## Arguments

`Handle` |  | The window handle.
`Rect` |  | Receives the window bounds.

## Function result

Zero on failure.